Package com.sas.services.information

# Class FactoryClassException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.FactoryException
com.sas.services.information.FactoryClassException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class FactoryClassException extends FactoryException
This exception is thrown when a NoClassDefFound exception is thrown during smart object creation in the Information Service Factory. This usually indicates that the Factory configuration in the Information Service specifies a class that can't be located by the class loader. This can be resolved by changing the configuration, or putting the jar containing the class in an appropriate directory to be found by the class loader.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactoryClassException()`
  Constructor for FactoryClassException.
  `FactoryClassException(String message)`
  Constructor for FactoryClassException.
  `FactoryClassException(Throwable throwable, String message)`
  Constructor for FactoryClassException.

- ## Method Summary

  ### Methods inherited from class com.sas.services.information.FactoryException

  `getRepositoryId, getRepositoryType, setRepositoryId, setRepositoryType, toString`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FactoryClassException

    public FactoryClassException()
    Constructor for FactoryClassException.

  - ### FactoryClassException

    public FactoryClassException(String message)
    Constructor for FactoryClassException.
    Parameters:
      `message` -

  - ### FactoryClassException

    public FactoryClassException(Throwable throwable, String message)
    Constructor for FactoryClassException.
    Parameters:
      `throwable` -
      `message` -